package com.njcn.harmonic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.harmonic.pojo.po.RStatPollutionOrgYPO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2022/11/8  13:28【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RStatPollutionOrgYPOMapper extends BaseMapper<RStatPollutionOrgYPO> {
    int updateBatch(List<RStatPollutionOrgYPO> list);

    int batchInsert(@Param("list") List<RStatPollutionOrgYPO> list);

    int insertOrUpdate(RStatPollutionOrgYPO record);

    int insertOrUpdateSelective(RStatPollutionOrgYPO record);
}